package cn.com.ctop.common.module.service;


import cn.com.ctop.common.module.entity.UserCompany;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.entity.SysUser;

import java.util.List;

/**
 * 用户够公司
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-14
 */
public interface IUserCompanyService extends IService<UserCompany> {

    void addOrUpdateUserWithCompany(SysUser user);

    void removeByUserId(String id);

    UserCompany getByUserId(String userId);

    List<UserCompany> getAllByUserId(String userId);

    Result<Object> allCompany();

    JSONObject getCompanyInfoByAccountId(Long accountId);

    JSONObject getCompanyInfoByUserId(String clipId);

    List<String> getUserIdListByCompanyId(String companyId);

}
